Bug 1018588 - Review Request: gssntlmssp - A GSSAPI mechanism for NTLMSSP
Review Request: gssntlmssp - A GSSAPI mechanism for NTLMSSP
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Woodhouse
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-13 12:52 EDT by Simo Sorce
Modified: 2013-11-23 22:30 EST (History)
4 users (show)

See Also:
Fixed In Version: gssntlmssp-0.2.0-0.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-20 20:58:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dwmw2: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Simo Sorce 2013-10-13 12:52:01 EDT
Spec URL: http://simo.fedorapeople.org/gssntlmssp.spec
SRPM URL: http://simo.fedorapeople.org/gssntlmssp-0.1.0-0.fc19.src.rpm
Description: A GSSAPI Mechanism that implements NTLMSSP
Fedora Account System Username: simo
Comment 1 Christopher Meng 2013-10-13 21:57:12 EDT
Homepage 404.
Comment 2 Simo Sorce 2013-10-14 09:53:35 EDT
Argh sorry, I had the old name in the spec, let me regen everything.
Comment 3 Simo Sorce 2013-10-14 09:56:27 EDT
Replaced spec and srpm, should be correct now.
Comment 4 Christopher Meng 2013-10-14 10:25:17 EDT
Drop-by comments:

1. Remove old stuffs:

BuildRoot
rm -rf %{buildroot}
%clean
%defattr(-,root,root,-)

2. I don't think you need to preserve:

### Patches ###

### Dependencies ###

Requires: krb5-libs >= 1.11.2

### Build Dependencies ###


Unless you have plenty of files.

3. autoreconf -f -i

-->

autoreconf -fiv (verbose?)

4. install -m644

-->

install -pm644

5. You install it as perm 644, so drop this:


%attr(0644,root,root) %config(noreplace) /%{_sysconfdir}/gss/mech.ntlmssp

-->

%config(noreplace) %{_sysconfdir}/gss/mech.ntlmssp

And remove that slash.
Comment 5 Simo Sorce 2013-10-14 17:22:14 EDT
Copied new spec and srpm files on the above URLs with the requested fixes (hopefully understood them all the right way).
Comment 6 David Woodhouse 2013-10-16 10:28:41 EDT
Absent COPYING file from built package.
Comment 7 David Woodhouse 2013-10-16 12:11:00 EDT
Thanks for fixing the above, and other complaints I made in IRC. You're supposed to update the Spec: and SRPM: URLs with a new post to bugzilla, but since you've updated the files in-place I can cope with that...

Issues:
=======
- All build dependencies are listed in BuildRequires, except for any that are
  listed in the exceptions section of Packaging Guidelines.
  Note: These BR are not needed: findutils
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#Exceptions_2


- Package does not contain duplicates in %files.
  Note: warning: File listed twice: /usr/lib64/gssntlmssp/gssntlmssp.so
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#DuplicateFiles

(You include the whole directory now, so no need to list that file explicitly)

- Sources used to build the package match the upstream source, as provided in
  the spec URL.
  Note: Upstream MD5sum check error, diff is in
  /home/dwmw2/1018588-gssntlmssp/diff.txt
  See: http://fedoraproject.org/wiki/Packaging/SourceURL

If you're calling this a 0.1.0 release, please make sure it matches the downloadable tarball.

We also need to file a bug against krb5-libs for not owning the /etc/gss/ directory.

Other than that, it looks fine. Please fix the above issues and I'll pass it.


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "LGPL (v3 or later)", "GPL (v2 or later)", "Unknown or generated". 1
     files have unknown license. Detailed output of licensecheck in
     /home/dwmw2/1018588-gssntlmssp/licensecheck.txt
[x]: Package requires other packages for directories it uses.
     Note: No known owner of /etc/gss
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /etc/gss
[x]: %build honors applicable compiler flags or justifies otherwise.
[-]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: %config files are marked noreplace or the reason is justified.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: No %config files under /usr.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Package should not use obsolete m4 macros
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: gssntlmssp-0.1.0-0.fc20.x86_64.rpm
          gssntlmssp-0.1.0-0.fc20.src.rpm
gssntlmssp.src: W: file-size-mismatch gssntlmssp-0.1.0.tar.gz = 383690, http://ssimo.org/code/gss-ntlmssp/gssntlmssp-0.1.0.tar.gz = 383689
2 packages and 0 specfiles checked; 0 errors, 1 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint gssntlmssp
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
# echo 'rpmlint-done:'
Comment 8 David Woodhouse 2013-10-16 12:17:37 EDT
I filed bug 1019937 for the 'krb5-libs should own /etc/gss' issue.
Comment 9 Simo Sorce 2013-10-16 18:28:08 EDT
Ok created new spec file:
http://simo.fedorapeople.org/fedora-review/gssntlmssp.spec
and rebuild srpm with this one and against the releases tar gz:
http://simo.fedorapeople.org/fedora-review/gssntlmssp-0.1.0-0.fc19.src.rpm

Hopefully I fixed all the issues you pointed out.
Comment 10 David Woodhouse 2013-10-16 18:37:30 EDT
Looks good. Thanks.
Comment 11 Simo Sorce 2013-10-16 18:58:43 EDT
New Package SCM Request
=======================
Package Name: gssntlmssp
Short Description: A GSSAPI Mechanism that implements NTLMSSP
Owners: simo
Branches: f19 f20
InitialCC:
Comment 12 Gwyn Ciesla 2013-10-17 08:36:26 EDT
Git done (by process-git-requests).
Comment 13 Fedora Update System 2013-10-17 17:57:44 EDT
gssntlmssp-0.1.0-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/gssntlmssp-0.1.0-1.fc19
Comment 14 Fedora Update System 2013-10-18 20:33:21 EDT
gssntlmssp-0.2.0-0.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/gssntlmssp-0.2.0-0.fc19
Comment 15 Fedora Update System 2013-10-18 20:33:31 EDT
gssntlmssp-0.2.0-0.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/gssntlmssp-0.2.0-0.fc20
Comment 16 Fedora Update System 2013-10-19 05:08:47 EDT
Package gssntlmssp-0.2.0-0.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gssntlmssp-0.2.0-0.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-19453/gssntlmssp-0.2.0-0.fc19
then log in and leave karma (feedback).
Comment 17 Fedora Update System 2013-10-20 20:58:02 EDT
gssntlmssp-0.2.0-0.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 18 Fedora Update System 2013-11-23 22:30:26 EST
gssntlmssp-0.2.0-0.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.